Subject: Re: [PATCH 12/20] bootwrapper: Add 8xx cuboot support.

From: David Gibson <[email-masked]>
Date: Wed, 22 Aug 2007 11:47:52 +1000

On Tue, Aug 21, 2007 at 11:20:21AM -0500, Scott Wood wrote:
> David Gibson wrote:
> > On Mon, Aug 20, 2007 at 12:40:01PM -0500, Scott Wood wrote:
> > 
> >>This allows booting on legacy, non-device-tree aware versions of
> >>U-boot.
> > 
> > 
> > Is this really sufficient for all 8xx platforms?
> 
> It should be enough for all u-boot-based 8xx boards, barring some u-boot 
> which needs special fixups (as is done in cuboot-pq2.c).  If such a need 
> arises, they can be added to cuboot-8xx.c (if they're generic enough to 
> work on all boards, even if not actually needed) or to a board-specific 
> platform file (which can coexist just fine with the generic 8xx
> one).

Ok.  Presumably our bd_t won't exactly line up for all 8xx (since it
varies from platform to platform, yes?) - but I gather the only bits
we use do match up.  That's probably worth a comment, so that someone
doesn't try using some later bd_t field which is only in the right
place for some 8xx systems.

Otherwise,

Acked-by: David Gibson <[email-masked]>

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson